Welcome using the Generator User

Welcome using the generator user control application Sundisk series.

Please choose the following information which you wish to understand.

Import and Export

Generator Properties

Tube Data

Auxiliary

Tube Calibration

AEC Calibration

DAP Calibration

Exposure Statistics

Generator Log

Version

Information

APR Data Editor

Console Import and Export

Firmware Update

Generator Default Data


Import and export

In this dialog, the user may backup the important data of the generator, such as the data of tube1 and tube 2 (if applicable), generator limits, auxiliary configuration, tube calibration, AEC calibration and DAP calibration.

Pressing the EXPORT button will save the generator data to the file chosen by the user. Pressing the IMPORT button will download the data from a selected backup file to the generator

Export Procedure

Select menu

-File/Import and Export

-Check “ All Data” under “Export Data from Generator to File”

-Press Export button

-Select Path, Press OK

Sundisk will download the data from generator automatically.

Import Procedure

Select menu

-File/Import and Export

-Check on data wants to import under “Import Data from File to Generator”

-Press Import button

-Select Path, Press OK

Sundisk will Import the restored data automatically.

The factory default data of the generator are described in the page of ‘Generator Default Data’.


Generator Properties

This utility allows the user to view and modify the general basic properties of the generator. It consists of the information of generator exposure Limits, communication setup, short time compensation, date and time of the generator.

Exposure Limits

This utility allows setting of the following generator limits by pressing the “∧∨“buttons.

There are following two limits to be adjusted.

Max kW/mA

Max mAs

To set the generator limits, please refer to the generator service manual.

NOTE

The service tool forbids the improper setting of most generator parameters. The limitation controls are implemented by graying out improper selections and limiting value adjustment.

________________

Max KW/mA:

Ÿ Select menu

-Generator Properties/ Exposure Limits

-Press“∧∨“button to change Max KW/mA.

Max mAs:

Ÿ Select menu

-Program/ GeneratorLimits

-Press“∧∨“button to change Max mAs.

Communication

Generator provides two method of communication between generator and the user interface, serial and CAN.

This utility is to setup the communication between the generator and the user interface.

Pressing the appropriate buttons will set the COM port, baud rate, data bite, stop bite and the checkout method.

Pressing the corresponding setup button again will exit the current utility.

Serial Port

Ÿ Select menu

Communication/ Serial/ Port

Inquire out the serial port number that computer assigned in Windows - Device Manager - Port, then change the port setting in Sundisk same with that windows assigned.

Default: COM1

CAN

Channel

The item includes the following:

-Channel 1

-Channel 2

Baud Rate

Default 500

Short Time Compensation

The cable capacitance, cable length, tank capacitance and coefficient can be set in this dialog.

Cable capacitance

Ÿ Select menu Configuration/ Generator Properties/ Short Time Compensation/ Cable Capacitance

Ÿ Set the cable capacitance by pressing button “∧∨“.

Ÿ Default: 135

Cable length

Ÿ Select menu Configuration/ Generator Properties/ Short Time Compensation/ Cable Length

Ÿ Set the cable length by pressing “∧∨“ button.

Ÿ Default: 17

Tank capacitance

Ÿ Select menu Configuration/ Generator Properties/ Short Time Compensation/Tank Capacitance

Ÿ Set the tank capacitance by pressing“∧∨“button.

Ÿ Default: 170

Coefficient

Ÿ Select menu Configuration/ Generator Properties/ Short Time Compensation/Coefficient.

Ÿ Set the coefficient by pressing “∧∨“button.

Ÿ Default: 3

Date and time

Ÿ Select menu, Configuration/ Generator Properties / Date and Time

Item | Range | Step
Generator Year | 2000~3000 | 1
Generator Month | 1~12 | 1
Generator Date | 1~31 | 1
Generator Hour | 0~23 | 1
Generator Minute | 0~59 | 1

NOTE

Change or apply the time & date according to local time when first installation

Not to change the generator’s time after first installation, it will influence the errors indicator or errors time.

________________

Save properties to generator

After set up the generator properties, press “ Apply“ button will save the configuration to generator.

Press “Refresh“ button will load the current generator properties to Sundisk interface.


Tube DATA

This utility allows tube data to be downloaded and allows setting of parameters for the tube.

The “Tube Data” selection utility comprises the following sections

Tube, Tube Information, General Parameters, Small Focus/Large Focus

Tube

In order to change the tube type for the currently selected tube position, press Apply Tube File to Generator under Tube File menu, which will bring up a dialog box containing a directory list box. You may select the tube data files in the dialog. Only files with the extension ‘bin’ and of the proper format are listed

a. Select tube type:

· Switch on the generator

· Select menu

-Tube File/Apply Tube File to Generator

-Select the tube data item in the TubeLibrary menu which is the same to the present tube.

-Press Apply button.

· The TubeLibrary following:

RO 1750 0.6/1.2

SRO 33100 0.6/1.2

SRM 0612 0.6/1.2

b. If the tube data item is not in the TubeLibrary menu:

-Press Tube File/Import New Tube File to Library,

-Select tube file which accords with the present tube mode .

-Select the tube data item in the TubeLibrary menu which is the same to the present tube.

-Press Apply button.

After you select tube data item from TubeLibrary, Tube Type, TubeFile Versions, TubeSpotSize, Tube Heat(J) will show in the Tube Information box.

General Parameter and Filament Parameters

In the area of General Parameters, max tube kV, RAD filament boosting time and RAD preheat time and Anode Boost Time can also be set by pressing up/down buttons.

Tube Speed:

· Select menu

-Tube Data/ General Parameters/ Tube Speed

· Check on appropriate item to set the tube speed to be low, high or dual.

Item speed

Low

High

Dual

MAX Tube kV:

Ÿ Press‘up/down’ button to change MAX tube kV

Ÿ Default: 150 kV (RO1750)

RAD Filament Boost Time (ms):

Ÿ Press‘up/down’ button to change Filament boost time ms.

RAD Filament Preheat Time (ms):

Ÿ Press‘up/down’ button to change Filament Preheat Time ms.

Anode Boost Time (ms):

Ÿ Press‘up/down’ button to change Anode Boost Time ms.

In the area of ‘Small Focus’ and ‘Large Focus’, pressing the appropriate up/down buttons will set standby filament currents. And maximum filament currents are displayed.

a. Small Focus:

Standby Current (A):

Ÿ Select menu

Press‘+/- ’button to change Standby Current (A)

Max Current (A):

Ÿ Select menu

Ÿ Press‘+/- ’button to change Max Current (A)

Max Emission (A):

Ÿ Select menu

Ÿ Press‘+/- ’button to change Max Emission (mA)

b. Lager Focus:

Standby Current (A):

Ÿ Select menu

Ÿ Press‘+/- ’button to change Standby Current A

Max Current (A):

Ÿ Select menu

Ÿ Press‘+/- ’button to change Max Current A


Auxiliary Data

To set an auxiliary's parameters should start with selecting an auxiliary. The default-selected auxiliary is the one that the generator is set to take exposure with. To configure another auxiliary, click the appropriate button on the toolbar across the top of the dialog.

The main parts of the window are the 3 sections, each containing a number of controls. All 3 sections are listed as follows: General, Input and Output.

Procedure:

Ÿ Select menu:

Configuration/ Auxiliary Data

Ÿ Select Auxiliary

The item includes the following:

-Free Cassette

-Table Bucky

-Wall Bucky

-Spot Film

-Digital (RF type X-Ray system)

General

Enable AEC | Checked: This will display the “AEC Options” frame for user to setup the AEC items.
Auto Focus | Checked: Small or large focus is automatically selected by the generator on the selected auxiliary. Unchecked: Focus must be manually selected on the selected auxiliary.
Select Tube | Selects the tube assigned to that auxiliary.
Interface Number | Selects pre-defined interface options. Interface number here means the communication protocol between generator and X-ray equipments.
RAD Hangover(S) | Sets the time that the rotor will continue to spin after an RAD exposure has terminated (in seconds).
Switch Data | Configure the exposure parameters settings after switching the auxiliary. No Change: After switching to the configured auxiliary, exposure parameters do not change. Custom: After switching to the configured auxiliary, exposure parameters are set to pre-defined values that can be adjusted by pressing the 'Check Custom' button.

Continue Procedure:

Ÿ Press the “Check Custom” button.

Ÿ Set the data in the prompt dialog.

RAD kV | Modify the kV of auxiliary.
RAD mA | Modify the mA of auxiliary.
RAD ms | Modify the ms of auxiliary.
Density | Modify the density of auxiliary.
Focus | Small Large
Technique | Modify the technique of auxiliary.
Film Speed | Modify the Film Speed of auxiliary.
Fields | Select the Film Speed of auxiliary.

Ÿ Press “save” button to save the custom auxiliary configuration.

AEC options

Select Channel | Defines the AEC channel used by the auxiliary when AEC is selected. This must be set to a valid AEC input channel number, or to off to disable the invalid AEC channel. 1,2,3
Backup mAs | Sets the maximum AEC exposure mAs. 100,125,160,200,250,320,400,500
Backup ms | Sets the maximum AEC exposure ms. 1000, 1250,1600,2000,2500,3200,4000

Inputs Outputs

Procedure:

Configuration/ Auxiliary Data

Set Aux Inputs the following table:

The Inputs and Outputs windows consist of an array of boxes where selections may be active (checked with an ‘P’), inactive (unchecked) or disabled (greyed-out). The generator statuses are shown at the top of each column. Input / Output selections are shown to the left of the columns.

A check box is displayed at the intersection of each status and Input / Output selection. Making selections active or inactive to set the inputs and outputs parameters when the generator is in the following statuses: standby, preparation, ready to take exposure, taking radiographic exposure.

Aux Input | Explanation
Tray Interlock | Tray assemble detection enable signal If enable this function, the status of tray location or cassette in tray will be detected when generator is in the statuses of preparation and taking radiographic exposure.
Bucky1 Contacts | Moving grid of tablebase status feedback signal (only for RAD system ) If enable this function, the moving grid of tablebase status feedback signal will be detected when generator is in the status of taking radiographic exposure.
Bucky2 Contacts | Moving grid of wallstand status feedback signal. If enable this function, the moving grid of Wallstand status feedback signal will be detected when generator is in the status of taking radiographic exposure.
Door Interlock | If enable this function, it will check the door interlock feedback signal when generator is in the status of taking radiographic exposure.

Aux Output | Explanation
Bucky1 Select | Moving grid release signal for tablebase If enable this function, the moving grid release signal for tablebase will be detected when generator is in the status of taking radiographic exposure.
Bucky2 Select | Moving grid release signal for wallstand If enable this function, the moving grid release signal for wallstand will be detected when generator is in the status of taking radiographic exposure.
220VAC | RAD system tablebase power 220VAC enable signal If enable this function, the 220VAC enable signal will be detected when generator is the statuses of standby, preparation, ready to take exposure and taking radiographic exposure.
Room Light | If enable this function, examination room light indicator enable signal will be detected when generator is in the status of taking radiographic exposure.


Tube Cailbration

Tube Calibration

This utility allows for tube to be calibrated for both focal sizes. When selected, the generator is placed into auto calibration mode. The RAD settings are disabled at this time.

In the dialog box, the parameters and buttons are shown below.

1. Select process | choosing the calibration process from condition data calibration and adaption calibration
2. Select Tube | displaying the model of the current selected tube
3. Select Calibration | select the small focus and large focus
4. kV | displaying the real-time voltage when calibrating
5. mA | displaying the value of the real-time current when calibrating
6. Filament Current | displaying the value of the filament current when calibrating
7. ms | displaying the time of the calibration
8. Calibration Options | choosing the radiographic small focus, radiographic large focus
9. Tube | choosing the tube to be calibrated
10. Start button | enter the calibration mode
11. Finish button | exit the calibration mode
12. Close button | close the calibration dialog

WARNING

Radiation is released during the calibration procedure.

________________

 | Default Setting | Note
Tube | Tube1 |
Calibration option | RAD Small Focus |

Hardware Preparation

Ÿ Switch OFF the generator

Ÿ Preparation of the generator which are connected to Tube by cables:

-Make sure the cables is right to TANK (+/-cope)

-Make sure the cables is right to Tube (+/-cope)

Ÿ Switch on the generator

Ÿ Perform the following programming to calibration Tube:

-Calibration / Tube Calibration

Condition data calibration:

The calibration is used to map filament current to mA.

Adaptation data calibration:

The calibration is used to optimized filament boost time, which map the filament boost time to mA, base on Condition Data Calibration.

Tube Calibration Procedure

The operation process is shown as follow.

Step 1: Press the Calibration->Tube Calibration menu to start the tube calibration, which is disabled

during the calibration process.

Step 2: Check on Condition Data Calibration of Select Process frame box.

Step 3: Check on RAD Small Focus / RAD Large Focus of Select Calibration frame box, which is disabled during the calibration process.

Step 4: Press Start to enter the calibration mode. Then press and continuously hold the X-ray exposure hand-switch to start the tube calibration process. The current measurements are updated on the dialog. The process will stop when the last measurements are made.

NOTE

Each time to start a new process of calibration need pressing Start button, otherwise it will not work.

________________

Step 5: After a calibration stops, release the hand-switch and press Finish to cause the generator return to the normal mode.

NOTE

When errors occur, try to reset the errors firstly and then press Finish to quit the current calibration and reset the tube and the focus. Pressing Reset will clear errors.

________________

Step 6: Check on Adaptation Calibration of Select Process frame box and redo Step 4 and Step 5.

NOTE

For certain focus Large/Small, Condition Data Calibration should be calibrated before Adaptation Calibration. Otherwise the result of dynamic would be not accurate.

________________

Step 7: Pressing the Close button will exit the current utility.


AEC calibration

This utility allows for AEC (Automatic Exposure Control) parameters setup and calibration. Refer to service manual Section 6 Adjustment about AEC theory and calibration procedures in detail.

File

Ÿ Import: Import AEC calibration data file from service computer to generator.

Ÿ Export: Export AEC calibration data file from generator to service computer.

Calibration Data

Ÿ Film Speed Reference: You can change the reference voltage based on calibration, 0-10V limited.

Ÿ Compensations: Time compensation and field compensation, based on calibration.

Configuration

Ÿ Film Speed Enable: Select and enable the films speed according to films that used in hospital.

Ÿ Field Enable: Select and enable the fields according to the configuration of ionization chamber.


DAP calibration

This utility allows the users to do the DAP calibration.

The kV breaks and respective dose rates are able to be set on the right part of the dialog. On the left side of the dialog, the RAD exposure kV of the generator is selectable. The RAD exposure current and time are set to be 100mA and 100ms. They are not changeable in this utility. The method of calibrating DAP is as follows.

Equipment Required

Ÿ A calibrated dosimeter.

Ÿ A ruler or tape measure with centimeter markings.

DAP Calibration Procedure

Step 1: The distance between dosimeter’s probe and tube focus is 1 meter. The direction of X-ray and the probe’s surface is vertical when calibrating the tube dose rate.

Step 2: Set collimator’s photography area to 10cm*10cm (100cm^2).

Step 3: Set generator’s exposure time to 100ms, and set exposure current to 100mA.

Step 4: Make RAD exposure according to KV breaks. Data measured about tube dose rate are acquired. Then input values of dose rate in each DAP Calibration dialog.

Step 5: After calibration, apply dose rates.


Exposure Statistics

This utility is for observing the radiographic exposures, which means to collect the statistics of the generator usages.

On the area of data display, the number of radiographic exposures taken by the small focus and large focus of tube are shown. A total RAD exposure time is recorded by Sundisk and display on the same area.

Pressing the buttons of Reset tube 1 may reset the exposure counters for both small and large focuses of tube 1. The generator statistics data may be saved as a text file by clicking Save As and entering the desired filename.


generator log

This utility allows the generators error log to be viewed.

There are two areas in the dialog box-----error list and the RAD parameter display.

Each row of error list displays an error message including index, Dates and Tim, Log Message when the error occurred.

The generator parameter display area of the error log contains rad sections.

The RAD Parameter s display section displays the rad parameters of the generator when errors occurred. The parameters include KV, mA, ms, mAs, rad technique, auxiliary, density, film speed, focus and fields selection.

Pressing File/Open will open error log files on the computer.

Pressing File/Save As will save the current error log to the computer.

Pressing File/Exit will exit the current error log to the computer.

Pressing Functions\Gets log from Generator will import the error log from the CPU board of the generator.

Pressing Functions\Clean log on Generator will flush the error log buffer on the CPU board of the generator.

Error Information is as follows:

Error Codes

Error Messages

Possible Causes

What can be done

001

Tube Anode Too Hot (E001)

The X-ray tube is too hot for further operation.

1,Power off the generator and cool it for more than 30 minutes. Then power on the generator and check its status;
2,If this error still occurs, check the DateAndTime of generator in Sundisk;
3,Check the status of EZ.

002

Thermal Switch of Tube 1 Opened (E002)

Thermal switch of tube 1 housing is open.

1,Check the status of thermal switch in tube housing.
2,Check related cables such as the cable between tube&ENX100, or ENX100&ED100.

003

Thermal Switch of Tube 2 Opened (E003)

Thermal switch of tube 2 housing is open.

1,Check the status of thermal switch in tube housing.
2,Check related cables such as the cable between tube & EY X100, and EY X100 & ED100.

004

Anode kW Limit (E004)

Requested parameter is not allowed as checked by tube nomogram that the kW limit has been reached.

Check setting values and generator kW limits in Sundisk.

101

Arcing Error (E101)

A fault about overvoltage, overcurrent or overload of inverter boards and resonant circuit during an exposure occurs, which may because of arcing in tube, tank or the HV cables.

1.Restart the generator, then confirm arcing remain the same;
2,Check the tank, inveter box, the HV cables and the tube;
3,Locate the fault by service tool.

102

No kV During Exposure (E102)

No kV feedback signal is detected during exposure.

1,Check EN_X signal from footswitch;
2,Check the kV control & feedback circuit.
Refer to Drawings Z1-5 for details.

103

Unexpected kV During Non-X-ray State (E103)

Unexpected kV(more than 80kv) is detected during non-X-ray state.

1,Restart the generator and check the status;
2,Check the kV control&feedback circuit in EH&EZ.
Refer to Drawings Z1-5 for details.

104

Overvoltage Error (E104)

kV feedback exceeds 120% of kV setting.

1,Measure the kV setting and feedback in EZ & EH;
2,Adjust the kV control & feedback.
Refer to Section 4 & Drawings Z1-5 for details.

105

Undervoltage Error (E105)

kV feedback is lower than 80% of kV setting.

1,Measure the kV setting and feedback in EZ & EH;
2,Adjust the kV control & feedback.
Refer to Section 4 & Drawings Z1-5 for details.

201

Filament Current Out of Range (E201)

A filament current fault is detected.

1,Check the maximum limitation of output current in EF100/200;
2,Check the filament current setting and feedback in EF 100/200 & EZ;
3,Check the status of tube filament;
4,Redo tube calibration
Refer to Drawings Z1-6 for details.

202

High mA Error (E202)

mA feedback exceeds 130% of mA setting.

1,Check the filament drive and mA control circuit refering to Drawings Z1-6 for details;
2,Redo tube calibration.
Refer to Section 4 for details.

203

Low mA Error (E203)

mA feedback is lower than 70% of mA setting.

1,Check the filament drive and mA control circuit refering to Drawings Z1-6 for details;
2,Redo tube calibration.
Refer to Section 4 for details.

205

Small Filament Exceed Limit During Standby (E205)

Small filament current exceeds upper limitation in standby.

1,Check filament reference and feedback in EF & EZ;
2,Check the maximum limitation of output current in EF.
Refer to Z1-6 for details.

206

Large Filament Exceed Limit During Standby (E206)

Large filament current exceeds upper limitation in standby.

1,Check filament reference and feedback in EF & EZ;
2,Check the maximum limitation of output current in EF.
Refer to Z1-6 for details.

207

mA Exceed Upper Limit During Tube Calib. (E207)

mA exceeds upper limitation during calibration.

1,Decrease filament standby current by regulating R20 in EF.
2,Redo tube calibration.
Refer to Section 4 for details.

208

Fila. Current Exceed Limit in Tube Calib. (E208)

Filament current exceeds upper limitation during calibration.

1,Regulate filament standby current by R20 in EF;
2,or regulate maximum limitation of output current by R29 in EF;
3,Redo tube calibration.
Refer to Section 4 for details.

209

No mA Feedback During Tube Calib. (E209)

No mA feedback is detected during tube calibration.

1,Check the status of H.V. cables on generator and tube sides;
2,Check the mA setting and feedback circuit.
Refer to Drawings Z1-6 for details.

210

Unexpected Initial mA During Tube Calib. (E210)

Initial mA feedback is higher than the expected mA at the beginning of calibration.

1,Check the mA setting and feedback circuit;
2,Decrease filament standby current by regulating R20 in EF.
Refer to Drawings Z1-6 for details.

212

Max mA Not Reached During Calib. (E212)

A mA feedback circuit fault is detected. Or max filament current data exception is detected.

1. Check the mA feedback circuit.
2. Check the max filament current data in Configuration->Tube Data->Max Current(Small Focus/Large Focus).
3. If there is no problem after above checking, increase Max Current(Small Focus/Large Focus) properly.

301

Rotor Fault (E301)

Rotor starter detects fault in rotor driver circuit.

1,Restart rotor starter;
2,Check the cable connection between:tube side & EY X100;EY X100 & EB/EY;
3,Check PREP signal in related circuit;
4,Check the status of EB/EY.
Refer to Drawings Z1-8&13 for details.

401

Exposure Interrupted (E401)

Exposure handswitch has been released before exposure finished.

Keep pressing exposure handswitch until exposure finishes.

402

AEC Back-up Time Out of Range (E402)

The automatic exposure control is not able to ﬁnish the last exposure properly. There is possibly an object in the radiation ﬁeld which is considerably attenuating radiation or the exposure values selected are too low.（4s）

1,Ensure select correct auxiliary and proper absorber that X-ray could penetrate through;
2,Set higher exposure values;
3,Ensure that X-ray tube is pointing at AEC receiver device;
4,Check AEC cable between chamber and the generator;
5,Check the related integral circuit in ED100 especially STOP signal.
6,Redo AEC calibration.
Refer to Section 6 & Drawings Z1-9 for details.

403

AEC Back-up mAs Out of Range (E403)

The automatic exposure control is not able to ﬁnish the last exposure properly. There is possibly an object in the radiation ﬁeld which is considerably decrease radiation or the exposure values selected are too low.（500mAs）

1,Ensure select correct auxiliary and proper absorber that X-ray could penetrate through;
2,Set higher exposure values;
3,Ensure that X-ray tube is pointing at AEC receiver device;
4,Check AEC cable between chamber and the generator;
5,Check the related integral circuit in ED100 especially STOP signal.
6,Redo AEC calibration.
Refer to Section 6 & Drawings Z1-9 for details.

404

PREP Kept Overtime (E404)

The preparation button is pressed for a longer time without an actual exposure request. Preparation is aborted. （>60s）

Do not hold on preparation button for more than 60s before X-ray release.

405

Exp. Switch PREP Actived During Power-on (E405)

Prep switch is active during power-on phase.

Check the handswitch during power-on phase.

406

Exp. Switch X-ray Actived During Power-on (E406)

X-ray switch is active during power-on phase.

Check the handswitch during power-on phase.

409

AEC Reference Voltage Out of Range (E409)

AEC reference voltage is out of range.

1,Not more than 10 of the FS Reference in Sundisk;
2,Redo AEC calibration.
Refer to Section 6 for details.

410

No AEC Field Config (E410)

No AEC field is configured.

Enable/Select AEC field(s).

411

No Tube Configurationin Auxiliary Setting (E411)

All auxiliaries have no X-ray tube programmed.

Enable/Select tube selection for the auxiliaries.

412

Failed to Apply APR (E412)

The FS Speed of the APR is not supported by the corresponding auxiliary.

1,In the APR Editor of Sundisk software,check the FS value of the APR.
2,In AEC Calibration of Sundisk software,check FS Config of the auxiliary of the APR.
3,Change the FS value of the APR or reconfigure FS supported by the auxiliary of the APR to make the FS speed of the APR is supported by the auxiliary.

413

Tube Calib. Timeout (E413)

The exposure time is too long for tube calibration.

1,Redo tube calibration.
2,Check the status of EZ.

414

AEC Channel Config Error (E414)

Wrong channel number is selected.

Program the correct AEC channel.
Refer to Section 6 for details.

415

AEC Film Config Error (E415)

Film type configuration is incorrect.

Program appropriate film speeds.
Refer to Section 6 for details.

416

Exposure Interrupted During Tube Calib. (E416)

Operator released exposure switch during tube calibration.

Redo tube calibration and never release exposure switch until the calibration finished.

417

Tray Interlock Failed (E417)

This error integrate the error from table and wallstand bucky tray error together:
1,The sensor plates in tray or cassette does not detect magnet signal;
2,The moving grid control board in X-ray system could not send out the feedback signal to ER in generator
3,The cable between the ER& moving grid control board is broken.

Find out the original problem: Table bucky or wallstand bucky tray problem:
1,Disassemble the connector between the permatron&grid control board. Insert the cassette and test the signal using multimeter.
2,Check the status of moving grid control board in X-ray system.
3,Check cable status between the ER& moving grid control board.
4,Check ER by testing point.

418

Communication Not Allowed (E418)

Operation is forbidden during specific phase.

Avoid the operation that produces the error.

419

Func. Disable Warning (E419)

Chosen function is disabled or not configured.

Check the generator configuration data.

423

Operation Not Allowed (E423)

The parameters or commands received from the console of UI is invalid.

Avoid the operation that produces the error.

426

Gen kW limit (E426)

When adjusting kV, mA or ms , the max power of the generator is reached.

Reset exposure parameter.

427

Gen kV limit (E427)

The max kV of the generator is reached.

Reset exposure parameter.

429

Density Out of Range (E429)

The max density of the generator is reached.

Reset density value.

430

Gen mA Limit (E430)

The max mA of the generator is reached.

Reset exposure parameter.

432

Tube mAs Limit (E432)

The max mAs of the tube is reached.

Reset exposure parameter.

433

Gen ms Limit (E433)

The max ms of the generator is reached.

Reset exposure parameter.

434

Tube mA Limit (E434)

The max mA of the tube is reached.

Reset exposure parameter.

435

Tube kW Limit (E435)

When adjusting kV, mA or ms , the max power of the tube is reached.

Reset exposure parameter.

436

Gen mAs Limit (E436)

The max mAs of the generator is reached.

Reset exposure parameter.

437

Tube kV Limit (E437)

The max kV of the tube is reached.

Reset exposure parameter.

441

Software Versions Not Matched (E441)

The software versions of console and generator are not matched.

Check the version compability of Acme-R-O-EZ & Conware-OR-C100.Refer to Section 4 for details.

442

Interface Number Not Correct (E442)

The interface number of selected auxiliary properties is not correct.

Reprogram interface number of the auxiliary.

443

No Auxiliary Selected (E443)

No auxiliary is selected.

Select an auxiliary.

444

Serial Number Not Match (E444)

The UI sends an incorrect generator serial number to the generator.

Load a correct serial number to the generator.

445

Restored Factory Default Setting (E445)

Restore factory setting to the generator.

1,Reset error. Set generator to non-default status by adjust Pin8 SW2 in EZ;
2,Restore the original backup data. Redo all the first installation action if there are no backup data files.

447

DAP Curve Error (E447)

The values on DAP curve do not increase seriatim.

1,Check DAP curve in software 'Sundisk/Calibration/DAP' menu.
2,Re-calibrate DAP curves in Sundisk.

448

Generator Data Not Compatible (E448)

The generator data are not compatible with the software.

Insure that the version of generator data and generator software are compatible.

501

Room Door Open (E501)

Room door is open during or before radiation.

1,Check the status of room door switch;
2,Check the connection cable between room door switch and ER;
3,Check the configuration of Auxiliary Data in Sundisk.

502

Collimator Switch Open (E502)

Collimator switch is open.

Check collimator switch.

503

Table Bucky Tray Not Contact (E503)

No feedback signal is detected from table bucky.

Check for grid movement and drive signal to table bucky .

505

Wall Bucky Tray Not Contact (E505)

No feedback signal is detected from wall bucky.

Check for grid movement and drive signal to wall bucky .

507

Generator Communication Error (E507)

Generator can't receive the command from the console/UI.

Press the Prep or Exposure switch. Check the following status:
1,For R type system, check the communication LEDs in C100 & EZ.
2,For RF type system, check the communication between EZ & X-ray system UI software.

509

Can Not Connect with Generator (E509)

Console can't receive the command from the generator.

1,Check the commnunication cable;
2,Confirm if the generator is powered on correctly;
3,Check the status of C100& EZ,espacilly the communication LEDs.

514

AEC Feedback Signal Too Low (E514)

Generator has detected less than 10% of reference voltage from AEC device, when 10% of AEC back-up time is reached.

1,Ensure select correct auxiliary and proper absorber that X-ray could penetrate through;
2,Set higher exposure values;
3,Ensure that X-ray tube is pointing at AEC receiver device;
4,Check AEC cable between chamber and the generator;
5,Check the related integral circuit in ED100;
6,Redo AEC calibration.
Refer to Section 6 & Drawings Z1-9 for details.

515

Configuration Timeout (E515)

Failed to configure the generator to enable or disable some functions(supporting digital, spot film option selection, getting comatibility information ).

Restart X-ray system.

601

Mains Contactor Error (E601)

Mains contactor doesn't close. Precharge doesn't finished.

1,Power on phase: check the precharge circuit;
2,Standby phase: check the drive signal of EV K1.
Refer to Drawings Z1-2 for details.

602

Abnormal Termination of Radiation (E602)

EMC reason， It may be caused by arcing in the X-ray tube, the HV cables, or tank.

1,Check the connection cable between the generator and the tube.
2,Check the earthing cables in the generator.

605

AEC Stop Signal Error (E605)

AEC stop signal is low during prep phase.

1,Check the related cables;
2,Check AEC ramp and AEC reference voltage in ED100 during prep phase.
Refer to Z1-9 for details.

606

Unexpected Exposure Request in Standby (E606)

Exposure switch signal in EZ is active during standby phase.

1,Check the status of handswitch.
2,Check X-ray enable signal and related LEDs in ED100.
3,Check the H37 & H27 in EZ.
Refer to Drawings Z1-7 for details.

607

Inverter Overheating (E607)

Long time working results in that the inverter is too hot.

1,Cool down the generator as needed;
2,Check the status of thermal switch of 70degree in EQ A/B/C/D;
3,Check the satus of EQ M1 & M2.

608

Unexpected Focus (E608)

Current focus is invalid.

Check filament circuit refering to Z1-6.

609

ms Control Error (E609)

CPU board ms timer function is abnormal.

1,Update FPGA program.
2,Replace CPU board.

610

Generator Timing Control Cable Failure (E610)

+/-12V generated in Power Control Board is not correct.

1, Check Auxiliary Transformer output power 15VAC and 25VAC.
2, Check 12V bridge rectifier output in EB.
Refer to drawings Z1-2 for details.

611

Power Control Board +/- 12V Error (E611)

+/-12V generated in Power Control Board is not correct.

1, Check Auxiliary Transformer output power 15VAC and 25VAC.
2, Check 12V bridge rectifier output in EB.
Refer to drawings Z1-2 for details.

701

Ready Signal Error (E701)

Ready signal not received by CPU during exposure which is generated from EH CPLD to EZ.

1,Check the Ready signal transmission.
Refer to Drawings Z1-7 for details.

702

+15VDC Error (E702)

+15VDC error occurs.

1,Check +15VDC(+/-10%) in EZ.
2,Check the status of EV100 without load.

703

-15VDC Error (E703)

-15VDC error occurs.

1,Check -15VDC(+/-10%) in EZ.
2,Check the status of EV100 without load.

801

Console Data Corrupt (E801)

All the data stored in the console are corrupted.

1,Connect the console with the computer which installs service tool software.
2,Re-uploade all items in menu of "Sundisk/Service/Console Service/Import and Export";
Refer to Section 5 for details.

802

EEPROM Data Error (E802)

EZ EEPROM data are invalid.

Restore the backup data.

805

No Tube Calibration Data (E805)

Requested parameter not calibrated.

Do tube calibration.

806

Tube Calibration Data Error (E806)

Tube calibration data are lost or damaged.

Restore the backup data or redo tube calibration.

808

Auxiliary Data Error (E808)

Auxiliary data are lost or damaged.

Restore the backup data.

809

Tube Data Error (E809)

Tube data are lost or damaged.

Restore the backup data or tube files.

810

Generator Limitation Data Error (E810)

Generator limit data are lost or damaged.

Restore the backup data.

813

AEC Database Error (E813)

AEC data are lost or damaged.

Restore the backup data or redo tube calibration.

814

EZ Clock Error (E814)

EZ clock unit is ineffective.

1,Reset system date and time to EZ.
2,Check the status of EZ.

815

Calib. Data Overflow (E815)

Tube calibration issue.

1,Check the filament standby current.
2,Redo tube calibration.

817

Buffer Overflow During Calib. (E817)

A standby current data exception is detected. Or the standby current is too high.

1. Check the standby current data in Tube Configuration->Tube Data->Standby Current(Small Focus/Large Focus).
2. If there is no problem after above checking, decrease Standby Current(Small Focus/Large Focus) properly.

818

Boost Data Corrupted (E818)

The boost data are lost or a boost data exception is detected.

Redo Adaptation Calibration for large or small filament.

819

Blanking Data Corrupted (E819)

The blanking data are lost or a blanking data exception is detected.

Redo Adaptation Calibration for large or small filament.


version

In this utility, hardware and software/firmware version information is displayed.

 | Version Number | Build Date
SUNDISK
Sundisk |  |
HVcomm.dll |  |
CPU BOARD
Acme-xx-xx-EZ |  |
FPGA-EZ |  |
CPU Board (PCBA) |  |


information

The user may input the hospital name where the generator locates and the serial number of the generator is displayed.


APR data Editor

This utility is an editor which be used to set the parameters of anatomical programming. It includes APR Names and APR Parameters.

File

Ÿ Open: Load an APR file from computer.

Ÿ Save: Save the current data changes.

Ÿ Save As: Save the load APR file to computer.

Ÿ Import: Overwrite a selected APR file to …\Gen\local\APR\WorkinAPR.xls, and load the file to editor.

Ÿ Reset to Default: Overwrite current file (WorkingAPR.xls) by default APR file (…\Gen\apr\DefaultApr.xls).

Test

Ÿ Apply Selected APR to Generator: Upload the selected APR (a single item showing in Current Name, not the whole APR file) to Generator. You can make some small emendation for generator without importing the whole APR file.

Current File

The file path of the file loaded by APR editor is displayed in Current File frame.

APR Names

Ÿ Areas shows the major parts of human body.

Ÿ APRs shows the detail parts for each major part.

You can do some changes for APR Names :

Ÿ Copy

Ÿ Paste

Ÿ Rename

Ÿ Delete

Ÿ Copy-Paste-Rename combined operation can create a new item

APR Parameters

Set the parameters for APR. Including Auxiliary, Film Speed, Focus, Technique, Fields, and kV, mA, ms, mAs, Density for 3 types of body.


Console service: Import and Export

Import Data to Console

Upload APR Database (current file (WorkinAPR.xls)) and Other Screen Display Resources (Error Information) to console.

Export Data from Console

Download APR Database from console.


Firmware update

Introduction

Firmware update tool SuperCom is an independent software which embed in Sundisk/Service/Firmware Update.

For Solar / Lunar series generator, the following firmwares can be updated by SuperCom:

· Console CPU Board (Conware-OR-C100)

· CPU Board (Acme-R-O-EZ)

· CPU Board (FPGA-EZ)

Operation for Firmware Upgrade

Upgrade Console CPU Board via Console USB Port (for General RAD System)

Update procedure for Console CPU Board (Conware-OR-C100):

· Check the port number of USB-SERIAL CH340 in Windows Device Manager.

· If the COM number not be COM1-4, must change it to COM1-4 (not be in used).

For example COM4.

· Power off the generator.

· Run firmware update program SuperCom.

· Click Console CPU Board (Conware-OR-C100) button.

· Set the port number to be same with which set in Device Manager.

· Press down the key on console APR Save, and then power on generator.

· Keep 2 seconds of APR Save key after generator powered on, then the console has entered the console service mode.

NOTE

Press APR Save button to enter console CPU board update mode.

Press Return button to enter CPU board update mode.

Press Reset button to enter generator service mode (run Sundisk).

________________

· Press Port Test button to test the connection with console. If be successful, “Connection is OK” will display.

NOTE

Must run software SuperCom firstly, then power on generator with APR Save button pressing. Otherwise the console cannot enter the console service mode; also port test will be failed.

________________

· Press Load button to select the firmware file.

For example Conware-OR-C100-v1.0.1.bin.

· Press Open or double click the file, SuperCom will start update automatically.

· Automatic update process needs several minutes, then successful information will display.

NOTE

If the update process exceeds 10 minutes and no successful information is displayed, please run the firmware update program again.

________________

Upgrade CPU Board via Console USB Port (for General RAD System)

Firmwares in CPU board include:

· CPU Board (Acme-R-O-EZ)

· CPU Board (FPGA-EZ)

The update procedure is similar.

Taking the CPU Board (Acme-R-O-EZ) as example:

· Check the port number of USB-SERIAL CH340 in Windows Device Manager.

· If the COM number not be COM1-4, must change it to COM1-4 (not be in used).

For example COM3.

· Power off the generator.

· Run firmware update program SuperCom.

· Click CPU Board (Acme-R-O-EZ) button.

· Set the port number to be same with which set in Device Manager.

· Press down the key on console Return, and then power on generator.

· Keep Return button until “CPU is updating” displayed on console LCD screen.

NOTE

Press APR Save button to enter console CPU board update mode.

Press Return button to enter CPU board update mode.

Press Reset button to enter generator service mode (run Sundisk).

________________

· Press Port Test button to test the connection with console. If be successful, “Connection is OK” will display.

· Press Write button to select the firmware file.

· Press Open or double click the file, SuperCom will start update automatically.

· Automatic update process needs several minutes, then successful information will display.

Upgrade CPU Board in DR Service Mode (for DR System)

Firmwares in CPU board include:

CPU Board (Acme-R-O-EZ)

CPU Board (FPGA-EZ)

Taking the following procedure CPU Board (Acme-R-O-EZ) upgrade as example:

(Upgrade procedure of CPU board FPGA is same with Acme upgrade)

Power off the generator.

Open the top cover of generator cabinet.

Connect service PC serial port to CPU board X4 (serial port) via serial port cable (both ends female and cross).

Check the communication port in Windows Device Manager.

If the COM number not be COM1-4, must change it to COM1-4 (not be in used).

For example COM1.

Run firmware update program SuperCom.

Click CPU Board (Acme-R-O-EZ) button.

Set the port number to be same with which set in Device Manager.

Press Port Test button firstly.

Then power on generator.

NOTE

Must start Port Test firstly, then power on the generator.

________________

When “Connection is OK” displayed, port test succeed.

Press Write button to select the firmware file.

Press Open or double click the file, SuperCom will start update automatically.

Update process needs several minutes, then successful information will display.

Other utilities via Serial Port

The utilities Console CPU Board (ConWare-C100), Dual Speed Start Board (DSS-EY) and Control Board (CPU-EH) do not used in Solar / Lunar series generator.

Final test

· Enter the generator service mode and run the Sundisk SM.

· Check the updated firmware version.

· Backup generator data and APR data.

· Finish the test.


Generator Default Data

Menu | Function Page | Parameter Area | Item | Default Setting |  | Range | Step
 |  |  |  | 32/50kw
 |  |  |  | Lunar&Solar for Bucky | Lunar&Solar for DR
Configuration | Generator Properties | Exposure Limits : |  |  |  |  |
 |  | 32kW | Max kW/mA | 32kW/400mA | 32kW/400mA | 32kW/400mA,32kW/320mA, 32kW/250mA,32kW/200mA, 40kW/400mA,40kW/320mA, 40kW/250mA,40kW/200mA, 50kW/630mA,50kW/500mA, 50kW/400mA,50kW/320mA |
 |  |  | Min mA | 10 | 10 |  |
 |  |  | Max mAs | 400 | 400 | 100~400 | mAs table
 |  |  | Max ms | 6300 | 6300 |  |
 |  | 50kW | Max kW/mA | 50kW/630mA | 50kW/630mA | 32kW/400mA,32kW/320mA, 32kW/250mA,32kW/200mA, 40kW/400mA,40kW/320mA, 40kW/250mA,40kW/200mA, 50kW/630mA,50kW/500mA, 50kW/400mA,50kW/320mA |
 |  |  | Min mA | 10 | 10 |  |
 |  |  | Max mAs | 630 | 630 | 100~630 | mAs table
 |  |  | Max ms | 6300 | 6300 |  |
 |  | Short Time Compensation | Cable Capacitance | 135 | 135 | 0~999 | 1
 |  |  | Cable Length | 17 | 17 | 5~30 | 1
 |  |  | Tank Capacitance | 170 | 170 | 0~999 | 1
 |  |  | Coefficient | 3 | 3 | 0~99 | 1
 |  | Communication : |  |  |  |  |
 |  | Serial | Port | COM1 | COM1 | All COMs of the computer |
 |  |  | Baud Rate | 19200 | 19200 |  |
 |  |  | Date Bit | 8 | 8 |  |
 |  |  | Stop Bit | 1 | 1 |  |
 |  |  | Check Mode | None | None |  |
 |  | CAN | Channel | Channel1 | Channel1 |  |
 |  |  | Baud Rate | 500 | 500 |  |
 | Tube Data | See Tube Data Table | See Other Tables
 | Auxiliary Data | See Auxiliary Data Table
Calibration | AEC Calibration | See AEC Calibration Table
 | DAP Calibration | kV Breaks | 40 | NA | 940 | 1~20000 | 1
 |  |  | 50 | NA | 1775 | 1~20000 | 1
 |  |  | 60 | NA | 2808 | 1~20000 | 1
 |  |  | 70 | NA | 3820 | 1~20000 | 1
 |  |  | 80 | NA | 5039 | 1~20000 | 1
 |  |  | 90 | NA | 6373 | 1~20000 | 1
 |  |  | 100 | NA | 7848 | 1~20000 | 1
 |  |  | 110 | NA | 9332 | 1~20000 | 1
 |  |  | 120 | NA | 11030 | 1~20000 | 1
 |  |  | 130 | NA | 12790 | 1~20000 | 1
 |  |  | 140 | NA | 14490 | 1~20000 | 1
 |  |  | 150 | NA | 16270 | 1~20000 | 1

Auxiliary Data Table:

Auxiliary | Parameter Area | Item | Default Setting |  | Range | Step
 |  |  | Lunar&Solar for Bucky | Lunar&Solar for DR
Free Cassette | Enable Auxiliary |  | √ | √ |  |
 | General | Enable AEC | Not Selected | Not Selected |  |
 |  | Auto Focus | Not Selected | Not Selected |  |
 |  | Select Tube | Tube1 | Tube1 |  |
 |  | Select Interface | 0 | 0 | 0~3 | 1
 |  | Rad Hangover(s) | 10 | 10 | 0~255 | 1
 |  | Switch Data | No Change | No Change | No Change, Custom |
 | Check Custom | Technique | mA/ms | mA/ms | mA/ms,mAs,AEC,mAs/ms(DR only) |
 |  | Focus | small | small | Small,Large |
 |  | Fields | select all | select all |  |
 |  | FilmScreen | Medium | Medium | Low, Medium ,High |
 |  | kV | 40 | 40 | 40~150 | 1
 |  | mA | 200 | 200 | 10~1000 | mA table
 |  | ms | 25 | 25 | 1~6300 | ms table
 |  | Density | 0 | 0 | (-8~8) | 1
 | AEC Options | AEC Channel | NA | NA | 1,2,3 |
 |  | AEC Back-Up mAs | NA | NA | 100~500 | mAs table
 |  | AEC Back-Up ms | NA | NA | 1000~4000 | ms table
 | Inputs | Tray Interlock |  |  |  |
 |  | Bucky1 Contact |  |  |  |
 |  | Bucky2 Contact |  |  |  |
 |  | Door Interlock | √ | √ |  |
 | Outputs | Bucky1 Select |  |  |  |
 |  | Bucky2 Select |  |  |  |
 |  | 220VAC | √ | √ |  |
 |  | Room Light | √ | √ |  |
Table Bucky | Enable Auxiliary |  | √ | √ |  |
 | General | Enable AEC | √ | √ |  |
 |  | Auto Focus | Not Selected | Not Selected |  |
 |  | Select Tube | Tube1 | Tube1 |  |
 |  | Select Interface | 0 | 1 | 0~3 | 1
 |  | Rad Hangover(s) | 10 | 10 | 0~255 | 1
 |  | Switch Data | No Change | No Change | No Change, Custom |
 | Check Custom | Technique | mA/ms | mA/ms | mA/ms,mAs,AEC,mAs/ms(DR only) |
 |  | Focus | small | small | Small,Large |
 |  | Fields | select all | select all |  |
 |  | FilmScreen | Medium | Medium | Low, Medium ,High |
 |  | kV | 40 | 40 | 40~150 | 1
 |  | mA | 200 | 200 | 10~1000 | mA table
 |  | ms | 25 | 25 | 1~6300 | ms table
 |  | Density | 0 | 0 | (-8~8) | 1
 | AEC Options | AEC Channel | 1 | 1 | 1,2,3 |
 |  | AEC Back-Up mAs | 500 | 500 | 100~500 | mAs table
 |  | AEC Back-Up ms | 4000 | 4000 | 1000~4000 | ms table
 | Inputs | Tray Interlock |  |  |  |
 |  | Bucky1 Contact | √ |  |  |
 |  | Bucky2 Contact |  |  |  |
 |  | Door Interlock | √ | √ |  |
 | Outputs | Bucky1 Select | √ |  |  |
 |  | Bucky2 Select |  |  |  |
 |  | 220VAC | √ | √ |  |
 |  | Room Light | √ | √ |  |
Wall Bucky | Enable Auxiliary |  | √ |  |  |
 | General | Enable AEC | √ | √ |  |
 |  | Auto Focus | Not Selected | Not Selected |  |
 |  | Select Tube | Tube1 | Tube1 |  |
 |  | Select Interface | 0 | 1 | 0~3 | 1
 |  | Rad Hangover(s) | 10 | 10 | 0~255 | 1
 |  | Switch Data | No Change | No Change | No Change, Custom |
 | Check Custom | Technique | mA/ms | mA/ms | mA/ms,mAs,AEC,mAs/ms(DR only) |
 |  | Focus | Small | small | Small,Large |
 |  | Fields | select all | select all |  |
 |  | FilmScreen | Medium | Medium | Low, Medium ,High |
 |  | kV | 40 | 40 | 40~150 | 1
 |  | mA | 200 | 200 | 10~1000 | mA table
 |  | ms | 25 | 25 | 1~6300 | ms table
 |  | Density | 0 | 0 | (-8~8) | 1
 | AEC Options | AEC Channel | 2 | 1 | 1,2,3 |
 |  | AEC Back-Up mAs | 500 | 500 | 100~500 | mAs table
 |  | AEC Back-Up ms | 4000 | 4000 | 1000~4000 | ms table
 | Inputs | Tray Interlock |  |  |  |
 |  | Bucky1 Contact |  |  |  |
 |  | Bucky2 Contact | √ |  |  |
 |  | Door Interlock | √ | √ |  |
 | Outputs | Bucky1 Select |  |  |  |
 |  | Bucky2 Select | √ |  |  |
 |  | 220VAC | √ | √ |  |
 |  | Room Light | √ | √ |  |
Spot Film | Enable Auxiliary |  | √ |  |  |
 | General | Enable AEC | NA | √ |  |
 |  | Auto Focus | NA | Not Selected |  |
 |  | Select Tube | NA | Tube1 |  |
 |  | Select Interface | NA | 1 | 0~3 | 1
 |  | Rad Hangover(s) | NA | 10 | 0~255 | 1
 |  | Switch Data | NA | No Change | No Change, Custom |
 | Check Custom | Technique | NA | mA/ms | mA/ms,mAs,AEC,mAs/ms(DR only) |
 |  | Focus | NA | small | Small,Large |
 |  | Fields | NA | select all |  |
 |  | FilmScreen | NA | Medium | Low, Medium ,High |
 |  | kV | NA | 40 | 40~150 | 1
 |  | mA | NA | 200 | 10~1000 | mA table
 |  | ms | NA | 25 | 1~6300 | ms table
 |  | Density | NA | 0 | (-8~8) | 1
 | AEC Options | AEC Channel | NA | 1 | 1,2,3 |
 |  | AEC Back-Up mAs | NA | 500 | 100~500 | mAs table
 |  | AEC Back-Up ms | NA | 4000 | 1000~4000 | ms table
 | Inputs | Tray Interlock | NA |  |  |
 |  | Bucky1 Contact | NA |  |  |
 |  | Bucky2 Contact | NA |  |  |
 |  | Door Interlock | NA | √ |  |
 | Outputs | Bucky1 Select | NA |  |  |
 |  | Bucky2 Select | NA |  |  |
 |  | 220VAC | NA | √ |  |
 |  | Room Light | NA | √ |  |
Digital | Enable Auxiliary |  | √ |  |  |
 | General | Enable AEC | NA | √ |  |
 |  | Auto Focus | NA | Not Selected |  |
 |  | Select Tube | NA | Tube1 |  |
 |  | Select Interface | NA | 1 | 0~3 | 1
 |  | Rad Hangover(s) | NA | 10 | 0~255 | 1
 |  | Switch Data | NA | No Change | No Change, Custom |
 | Check Custom | Technique | NA | mA/ms | mA/ms,mAs,AEC,mAs/ms(DR only) |
 |  | Focus | NA | small | Small,Large |
 |  | Fields | NA | select all |  |
 |  | FilmScreen | NA | Medium | Low, Medium ,High |
 |  | kV | NA | 40 | 40~150 | 1
 |  | mA | NA | 200 | 10~1000 | mA table
 |  | ms | NA | 25 | 1~6300 | ms table
 |  | Density | NA | 0 | (-8~8) | 1
 | AEC Options | AEC Channel | NA | 1 | 1,2,3 |
 |  | AEC Back-Up mAs | NA | 500 | 100~500 | mAs table
 |  | AEC Back-Up ms | NA | 4000 | 1000~4000 | ms table
 | Inputs | Tray Interlock | NA |  |  |
 |  | Bucky1 Contact | NA |  |  |
 |  | Bucky2 Contact | NA |  |  |
 |  | Door Interlock | NA | √ |  |
 | Outputs | Bucky1 Select | NA |  |  |
 |  | Bucky2 Select | NA |  |  |
 |  | 220VAC | NA | √ |  |
 |  | Room Light | NA | √ |  |

Tube Data Table:

Parameter Area | Item | Default Values |  |  | Range | Step
Tube Information | Tube Type | RAD12 | RO1750 | A132 |  |
 | Tube File Version | 3 | 5 | 7 |  |
 | Tube Spot Size | 1.0/2.0 | 0.6/1.2 | 0.6/1.2 |  |
 | Tube Heat (J) | 92000 | 220000 | 220000 |  |
General Parameters | Tube Speed | Low | Low | Low | Low,High,Dual |
 | Max Tube kV | 150 | 150 | 150 | 100~default | 1
 | RAD Filament Boost time | 100 | 100 | 100 | 100~500 | 10
 | RAD Filament Preheat time | 500 | 500 | 500 | 500~2000 | 10
 | Anode boost time | 0 | 1000 | 1000 |  |
Small Focus | Standby Current (A) | 2.5 | 2.8 | 2.5 | 2.0-3.5 | 0.1
 | Max Current (A) | 4.5 | 6.3 | 5.4 | 4.0~default+0.2 | 0.1
 | Max Emission (mA) | 320 | 200 | 320 | 200-default | mA table
 | Low Speed - Max kW | 19.6 | 17 | 20.0 | 0~default | 0.1
 | Low Speed - Max mA @ 40kV | 200 | 200 | 200 |  |
 | Low Speed - Max mA @ 50kV | 300 | 280 | 300 |  |
 | Low Speed - Max mA @ 60kV | 300 | 0 | 0 |  |
 | Low Speed - Max mA @ 70kV | 275 | 0 | 0 |  |
 | Low Speed - ISOWALT KV | 70 | 55 | 55 |  |
 | High Speed - Max kW | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 40kV | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 50kV | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 60kV | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 70kV | 0 | 0 | 0 |  |
 | High Speed - ISOWALT KV | 0 | 0 | 0 |  |
Large Focus | Standby Current (A) | 2.5 | 2.8 | 2.8 | 2.0-3.5 | 0.1
 | Max Current (A) | 5.4 | 6.7 | 5.4 | 4.0~default+0.2 | 0.1
 | Low Speed - Max kW | 50.2 | 50 | 50 | 0~default | 0.1
 | Low Speed - Max mA @ 40kV | 600 | 580 | 600 |  |
 | Low Speed - Max mA @ 50kV | 800 | 805 | 800 |  |
 | Low Speed - Max mA @ 60kV | 800 | 0 | 800 |  |
 | Low Speed - Max mA @ 70kV | 700 | 0 | 0 |  |
 | Low Speed - ISOWALT KV | 70 | 55 | 60 |  |
 | High Speed - Max kW | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 40kV | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 50kV | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 60kV | 0 | 0 | 0 |  |
 | High Speed - Max mA @ 70kV | 0 | 0 | 0 |  |
 | High Speed - ISOWALT KV | 0 | 0 | 0 |  |
Not Visable Items | Fluo Filament boost time(ms) | 200 | 200 | 200 |  |
 | Fluo Filament preheating time(ms) | 800 | 1000 | 800 |  |
 | tube heat of 50% tube load | 40% | 55% | 40% |  |
 | tube heat of 75% tube load | 70% | 80% | 70% |  |
 | PowerFactor of 50% tube load | 85% | 80% | 85% |  |
 | PowerFactor of 75% tube load | 70% | 64% | 70% |  |
 | kvcorrection | NA | 75 | 75 |  |
 | macorrection | NA | 100 | 100 |  |
 | kvvalcomp | NA | 130 | 130 |  |
 | kvvalcorrection | NA | 1.05 | 1.05 |  |
 | kvmscomp | NA | 150 | 150 |  |
 | mscorrection | NA | 1 | 1 |  |

AEC Calibration Table :

AEC Channel Selection | Parameter Area | Item | Default Data |  | Adjustable Range | Step
 |  |  | 32/50 kw
 |  |  | Lunar&Solar for Bucky | Lunar&Solar for DR
1 | Film Speed | 50kV | 4.1 | 4.1 | 0~10 | 0.01
 | Reference | 55kV | 4.28 | 4.28 | 0~10 | 0.01
 | LOW | 65kV | 4.45 | 4.45 | 0~10 | 0.01
 |  | 75kV | 4.55 | 4.55 | 0~10 | 0.01
 |  | 85kV | 4.45 | 4.45 | 0~10 | 0.01
 |  | 95kV | 4.3 | 4.3 | 0~10 | 0.01
 |  | 110kV | 3.7 | 3.7 | 0~10 | 0.01
 |  | 130kV | 3.2 | 3.2 | 0~10 | 0.01
 | Film Speed | 50kV | 3.15 | 3.15 | 0~10 | 0.01
 | Reference | 55kV | 3.2 | 3.2 | 0~10 | 0.01
 | MEDIUM | 65kV | 3.45 | 3.45 | 0~10 | 0.01
 |  | 75kV | 3.8 | 3.8 | 0~10 | 0.01
 |  | 85kV | 3.55 | 3.55 | 0~10 | 0.01
 |  | 95kV | 3.45 | 3.45 | 0~10 | 0.01
 |  | 110kV | 3.1 | 3.1 | 0~10 | 0.01
 |  | 130kV | 2.6 | 2.6 | 0~10 | 0.01
 | Film Speed | 50kV | 2.05 | 2.05 | 0~10 | 0.01
 | Reference | 55kV | 2.14 | 2.14 | 0~10 | 0.01
 | HIGH | 65kV | 2.23 | 2.23 | 0~10 | 0.01
 |  | 75kV | 2.28 | 2.28 | 0~10 | 0.01
 |  | 85kV | 2.23 | 2.23 | 0~10 | 0.01
 |  | 95kV | 2.15 | 2.15 | 0~10 | 0.01
 |  | 110kV | 1.85 | 1.85 | 0~10 | 0.01
 |  | 130kV | 1.6 | 1.6 | 0~10 | 0.01
 | Compensations | RLF 50ms | 12 | 12 | 0~255 | 1
 | LOW | RLF 500ms | 6 | 6 | 0~255 | 1
 |  | RLF 1000ms | 6 | 6 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
 | Compensations | RLF 50ms | 12 | 12 | 0~255 | 1
 | MEDIUM | RLF 500ms | 6 | 6 | 0~255 | 1
 |  | RLF 1000ms | 6 | 6 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
 | Compensations | RLF 50ms | 17 | 17 | 0~255 | 1
 | HIGH | RLF 500ms | 15 | 15 | 0~255 | 1
 |  | RLF 1000ms | 10 | 10 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
2 | Film Speed | 50kV | 4.1 | 4.1 | 0~10 | 0.01
 | Reference | 55kV | 4.28 | 4.28 | 0~10 | 0.01
 | LOW | 65kV | 4.45 | 4.45 | 0~10 | 0.01
 |  | 75kV | 4.55 | 4.55 | 0~10 | 0.01
 |  | 85kV | 4.45 | 4.45 | 0~10 | 0.01
 |  | 95kV | 4.3 | 4.3 | 0~10 | 0.01
 |  | 110kV | 3.7 | 3.7 | 0~10 | 0.01
 |  | 130kV | 3.2 | 3.2 | 0~10 | 0.01
 | Film Speed | 50kV | 3.15 | 3.15 | 0~10 | 0.01
 | Reference | 55kV | 3.2 | 3.2 | 0~10 | 0.01
 | MEDIUM | 65kV | 3.45 | 3.45 | 0~10 | 0.01
 |  | 75kV | 3.8 | 3.8 | 0~10 | 0.01
 |  | 85kV | 3.55 | 3.55 | 0~10 | 0.01
 |  | 95kV | 3.45 | 3.45 | 0~10 | 0.01
 |  | 110kV | 3.1 | 3.1 | 0~10 | 0.01
 |  | 130kV | 2.6 | 2.6 | 0~10 | 0.01
 | Film Speed | 50kV | 2.05 | 2.05 | 0~10 | 0.01
 | Reference | 55kV | 2.14 | 2.14 | 0~10 | 0.01
 | HIGH | 65kV | 2.23 | 2.23 | 0~10 | 0.01
 |  | 75kV | 2.28 | 2.28 | 0~10 | 0.01
 |  | 85kV | 2.23 | 2.23 | 0~10 | 0.01
 |  | 95kV | 2.15 | 2.15 | 0~10 | 0.01
 |  | 110kV | 1.85 | 1.85 | 0~10 | 0.01
 |  | 130kV | 1.6 | 1.6 | 0~10 | 0.01
 | Compensations | RLF 50ms | 12 | 12 | 0~255 | 1
 | LOW | RLF 500ms | 6 | 6 | 0~255 | 1
 |  | RLF 1000ms | 6 | 6 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
 | Compensations | RLF 50ms | 12 | 12 | 0~255 | 1
 | MEDIUM | RLF 500ms | 6 | 6 | 0~255 | 1
 |  | RLF 1000ms | 6 | 6 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
 | Compensations | RLF 50ms | 17 | 17 | 0~255 | 1
 | HIGH | RLF 500ms | 15 | 15 | 0~255 | 1
 |  | RLF 1000ms | 10 | 10 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
3 | Film Speed | 50kV | 4.1 | 4.1 | 0~10 | 0.01
 | Reference | 55kV | 4.28 | 4.28 | 0~10 | 0.01
 | LOW | 65kV | 4.45 | 4.45 | 0~10 | 0.01
 |  | 75kV | 4.55 | 4.55 | 0~10 | 0.01
 |  | 85kV | 4.45 | 4.45 | 0~10 | 0.01
 |  | 95kV | 4.3 | 4.3 | 0~10 | 0.01
 |  | 110kV | 3.7 | 3.7 | 0~10 | 0.01
 |  | 130kV | 3.2 | 3.2 | 0~10 | 0.01
 | Film Speed | 50kV | 3.15 | 3.15 | 0~10 | 0.01
 | Reference | 55kV | 3.2 | 3.2 | 0~10 | 0.01
 | MEDIUM | 65kV | 3.45 | 3.45 | 0~10 | 0.01
 |  | 75kV | 3.8 | 3.8 | 0~10 | 0.01
 |  | 85kV | 3.55 | 3.55 | 0~10 | 0.01
 |  | 95kV | 3.45 | 3.45 | 0~10 | 0.01
 |  | 110kV | 3.1 | 3.1 | 0~10 | 0.01
 |  | 130kV | 2.6 | 2.6 | 0~10 | 0.01
 | Film Speed | 50kV | 2.05 | 2.05 | 0~10 | 0.01
 | Reference | 55kV | 2.14 | 2.14 | 0~10 | 0.01
 | HIGH | 65kV | 2.23 | 2.23 | 0~10 | 0.01
 |  | 75kV | 2.28 | 2.28 | 0~10 | 0.01
 |  | 85kV | 2.23 | 2.23 | 0~10 | 0.01
 |  | 95kV | 2.15 | 2.15 | 0~10 | 0.01
 |  | 110kV | 1.85 | 1.85 | 0~10 | 0.01
 |  | 130kV | 1.6 | 1.6 | 0~10 | 0.01
 | Compensations | RLF 50ms | 12 | 12 | 0~255 | 1
 | LOW | RLF 500ms | 6 | 6 | 0~255 | 1
 |  | RLF 1000ms | 6 | 6 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
 | Compensations | RLF 50ms | 12 | 12 | 0~255 | 1
 | MEDIUM | RLF 500ms | 6 | 6 | 0~255 | 1
 |  | RLF 1000ms | 6 | 6 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1
 | Compensations | RLF 50ms | 17 | 17 | 0~255 | 1
 | HIGH | RLF 500ms | 15 | 15 | 0~255 | 1
 |  | RLF 1000ms | 10 | 10 | 0~255 | 1
 |  | Right Field | -38 | -38 | -100~100 | 1
 |  | Center Field | 0 | 0 | -100~100 | 1
 |  | Left Field | -22 | -22 | -100~100 | 1

Reference Tables:

Table Type | Values
mA Table | 10, 12.5, 16, 20, 25, 32, 40, 50, 63, 80, 100, 125, 160, 200, 250, 320, 400, 500, 630, 800, 1000
ms Table | 1, 1.25, 1.6,2, 2.5, 3.2, 4, 5, 6.3, 8, 10, 12.5, 16, 20, 25, 32, 40, 50, 63, 80, 100, 125, 160, 200, 250, 320, 400, 500, 630, 800, 1000, 1250, 1600, 2000, 2500, 3200, 4000, 5000, 6300
mAs Table | 0.5, 0.6, 0.8, 1, 1.2, 1.6, 2, 2.5, 3.2, 4, 5, 6.3, 8, 10, 12.5, 16, 20, 25, 32, 40, 50, 63, 80, 100, 125, 160, 200, 250, 320, 400, 500, 630, 800, 1000